## pysdl2 0.9.3+dfsg2

=== Makefile ===
PYTHON ?= python
top_srcdir := `pwd`
PYTHONPATH ?= $(top_srcdir)
SUBDIRS = \
	$(top_srcdir)/sdl2 \
	$(top_srcdir)/sdl2/ext \
	$(top_srcdir)/sdl2/test \
	$(top_srcdir)/sdl2/test/resources \
	$(top_srcdir)/sdl2/test/util \
	$(top_srcdir)/doc \
	$(top_srcdir)/doc/tutorial \
	$(top_srcdir)/doc/modules \
	$(top_srcdir)/examples

INTERPRETERS = python2.7 python3.2 python3.3 python3.4 pypy

all: clean build

dist: clean docs
	@echo "Creating dist..."
	@$(PYTHON) setup.py sdist --format gztar
	@$(PYTHON) setup.py sdist --format zip

bdist: clean docs
	@echo "Creating bdist..."
	@$(PYTHON) setup.py bdist

build:
	@echo "Running build"
	@$(PYTHON) setup.py build
	@echo "Build finished, invoke 'make install' to install."


install:
	@echo "Installing..."
	@$(PYTHON) setup.py install

clean:
	@echo "Cleaning up in $(top_srcdir)/ ..."
	@rm -f *.cache *.core *~ MANIFEST *.pyc *.orig *.rej
	@rm -rf __pycache__
	@rm -rf build dist doc/html

	@for dir in $(SUBDIRS); do \
		echo "Cleaning up in $$dir ..."; \
		if test -f $$dir/Makefile; then \
			make -C $$dir clean; \
		fi; \
		cd $$dir && rm -f *.cache *.core *~ MANIFEST *.pyc *.orig *.rej; \
	done

docs:
	@echo "Creating docs package"
	@rm -rf doc/html
	@cd doc && PYTHONPATH=$(PYTHONPATH) make html
	@mv doc/_build/html doc/html
	@rm -rf doc/_build
	@cd doc && make clean

release: dist

runtest:
	@PYTHONPATH=$(PYTHONPATH) $(PYTHON) -B -m sdl2.test.util.runtests

testall:
	@for interp in $(INTERPRETERS); do \
		PYTHONPATH=$(PYTHONPATH) $$interp -B -m sdl2.test.util.runtests || true; \
	done

# Do not run these in production environments! They are for testing
# purposes only!

buildall: clean
	@for interp in $(INTERPRETERS); do \
		$$interp setup.py build; \
	done

installall:
	@for interp in $(INTERPRETERS); do \
		$$interp setup.py install; \
	done

testpackage:
	@for interp in $(INTERPRETERS); do \
		$$interp -c "import sdl2.test; sdl2.test.run()" || true \
	done

purge_installs:
	@for interp in $(INTERPRETERS); do \
		rm -rf /usr/local/lib/$$interp/site-packages/sdl2*; \
	done

=== debian/changelog ===
pysdl2 (0.9.3+dfsg2-1) unstable; urgency=low

  * Initial release. (Closes: #731070)

 -- Victor Fayvel <fayvel@web.de>  Tue, 21 Oct 2014 09:33:24 +0200

=== debian/control ===
Source: pysdl2
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Victor Fayvel <fayvel@web.de>
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/marcusva/py-sdl2
Build-Depends:
 debhelper (>= 9),
 dia,
 dh-python,
 libgl1-mesa-dri,
 libgl1-mesa-glx | libgl1,
 libsdl2-2.0-0,
 libsdl2-gfx-1.0-0,
 libsdl2-image-2.0-0,
 libsdl2-mixer-2.0-0,
 libsdl2-ttf-2.0-0,
 imagemagick,
 python-all (>= 2.6.6-3~),
 python-numpy,
 python-setuptools,
 python-sphinx,
 python3-all (>= 3.2~),
 python3-numpy,
 python3-setuptools,
 librsvg2-bin,
 xauth,
 xvfb,
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-sdl2
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 libsdl2-2.0-0,
 libsdl2-gfx-1.0-0,
 libsdl2-image-2.0-0,
 libsdl2-mixer-2.0-0,
 libsdl2-ttf-2.0-0,
Recommends:
 python-numpy,
Suggests: pysdl2-doc
Description: Python bindings to the SDL2 C-library (Python 2 build)
 PySDL2 is a ctypes based wrapper around the Simple DirectMedia Layer 2 library
 to allow portable low level access to a video framebuffer, audio output, mouse
 and keyboard.
 .
 This module is built for Python version 2.x.

Package: python3-sdl2
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 libsdl2-2.0-0,
 libsdl2-gfx-1.0-0,
 libsdl2-image-2.0-0,
 libsdl2-mixer-2.0-0,
 libsdl2-ttf-2.0-0,
Recommends:
 python3-numpy,
Suggests: pysdl2-doc
Description: Python bindings to the SDL2 C-library (Python 3 build)
 PySDL2 is a ctypes based wrapper around the Simple DirectMedia Layer 2 library
 to allow portable low level access to a video framebuffer, audio output, mouse
 and keyboard.
 .
 This module is built for Python version 3.x.

Package: pysdl2-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 libjs-sphinxdoc,
Suggests: python-wand
Description: Python bindings to the SDL2 C-library - documentation
 PySDL2 is a ctypes based wrapper around the Simple DirectMedia Layer 2 library
 to allow portable low level access to a video framebuffer, audio output, mouse
 and keyboard.
 .
 This package includes documentation for PySDL2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PYVERS := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --with=python2,python3 --buildsystem=python_distutils --parallel --list-missing

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_build:
	set -e; \
	for i in ./doc/modules/images/*.dia; do \
		dia "$${i}" --filter=png-libart --export="$$(echo $$i|sed 's/\.dia$$//').png"; \
	done
	rsvg-convert --format=png --background-color=white examples/resources/testimage.svg|convert png:- examples/resources/hello.bmp
	$(MAKE) -C doc devhelp
	set -e; \
	for PYTHON in $(PYVERS) $(PY3VERS); do \
	  $$PYTHON setup.py build; \
	done

override_dh_auto_clean:
	$(MAKE) -C doc clean
	rm -f ./doc/modules/images/*.png examples/resources/hello.bmp examples/resources/hello.png
	dh_auto_clean
	rm -rf build

override_dh_auto_install:
	set -e; \
	for PYTHON in $(PYVERS) $(PY3VERS); do \
	  $$PYTHON setup.py install --skip-build --root debian/tmp \
	      --install-layout deb; \
	done

override_dh_installchangelogs:
	dh_installchangelogs doc/news.rst

override_dh_auto_test:
	set -e; \
	for PYTHON in $(PYVERS) $(PY3VERS); do \
	  PYTHONPATH=$(shell pwd) xvfb-run --server-args="-screen 0 640x480x24" -a debian/runtests.sh "$$PYTHON"; \
	done

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_build override_dh_auto_install override_dh_installchangelogs override_dh_auto_test \
	get-orig-source

=== debian/watch ===
version=3

opts="uversionmangle=s/-/./,dversionmangle=s/\+dfsg\d+$//" \
https://bitbucket.org/marcusva/py-sdl2/downloads \
	/marcusva/py-sdl2/downloads/PySDL2-(.*\d).tar.gz \
	debian debian/prune-tarball.sh

## pysdl2 0.9.6+dfsg1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	$(top_srcdir)/doc/modules \
 	$(top_srcdir)/examples
 
-INTERPRETERS = python2.7 python3.2 python3.3 python3.4 pypy
+INTERPRETERS = python2.7 python3.3 python3.4 python3.5 pypy
 
 all: clean build
 
@@ -60,11 +60,11 @@
 release: dist
 
 runtest:
-	@PYTHONPATH=$(PYTHONPATH) $(PYTHON) -B -m sdl2.test.util.runtests
+	@PYTHONPATH=$(PYTHONPATH) $(PYTHON) -B -m unittest discover sdl2.test -p *test.py -v
 
 testall:
 	@for interp in $(INTERPRETERS); do \
-		PYTHONPATH=$(PYTHONPATH) $$interp -B -m sdl2.test.util.runtests || true; \
+		PYTHONPATH=$(PYTHONPATH) $$interp -B -m unittest discover sdl2.test -p *test.py -v || true; \
 	done
 
 # Do not run these in production environments! They are for testing
@@ -80,11 +80,6 @@
 		$$interp setup.py install; \
 	done
 
-testpackage:
-	@for interp in $(INTERPRETERS); do \
-		$$interp -c "import sdl2.test; sdl2.test.run()" || true \
-	done
-
 purge_installs:
 	@for interp in $(INTERPRETERS); do \
 		rm -rf /usr/local/lib/$$interp/site-packages/sdl2*; \

=== debian/changelog ===
pysdl2 (0.9.6+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Rebase patches.
  * Fix compatibility with newer SDL (Closes: #792197).
  * d/control: Remove ancient X-Python-Version field.
  * d/control: Remove ancient X-Python3-Version field.
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Add Vcs-* field.
  * Bump debhelper compat level to 12.
  * Use Python 3 for building docs.
  * Drop Python 2 support.
  * Use Files-Excluded in d/copyright instead of own pruner.
  * Build package by pybuild.
  * gbp.conf: Set default branch to debian/master.
  * d/watch: Move to GitHub.
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Aug 2019 13:37:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Victor Fayvel <fayvel@web.de>
 Standards-Version: 3.9.6
-Homepage: https://bitbucket.org/marcusva/py-sdl2
+Homepage: https://github.com/marcusva/py-sdl2
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dia,
  dh-python,
  libgl1-mesa-dri,
@@ -17,38 +17,15 @@
  libsdl2-mixer-2.0-0,
  libsdl2-ttf-2.0-0,
  imagemagick,
- python-all (>= 2.6.6-3~),
- python-numpy,
- python-setuptools,
- python-sphinx,
+ python3-sphinx,
  python3-all (>= 3.2~),
+ python3-pytest,
  python3-numpy,
  python3-setuptools,
  librsvg2-bin,
- xauth,
- xvfb,
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
-
-Package: python-sdl2
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python:Depends},
- libsdl2-2.0-0,
- libsdl2-gfx-1.0-0,
- libsdl2-image-2.0-0,
- libsdl2-mixer-2.0-0,
- libsdl2-ttf-2.0-0,
-Recommends:
- python-numpy,
-Suggests: pysdl2-doc
-Description: Python bindings to the SDL2 C-library (Python 2 build)
- PySDL2 is a ctypes based wrapper around the Simple DirectMedia Layer 2 library
- to allow portable low level access to a video framebuffer, audio output, mouse
- and keyboard.
- .
- This module is built for Python version 2.x.
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pysdl2
+Vcs-Git: https://salsa.debian.org/python-team/modules/pysdl2.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-sdl2
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=sdl2
export SDL_VIDEODRIVER=dummy
export SDL_AUDIODRIVER=dummy
export SDL_RENDER_DRIVER=software

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	set -e; \
	for i in ./doc/modules/images/*.dia; do \
		dia "$${i}" --filter=png-libart --export="$$(echo $$i|sed 's/\.dia$$//').png"; \
	done
	rsvg-convert --format=png --background-color=white examples/resources/testimage.svg|convert png:- examples/resources/hello.bmp
	$(MAKE) -C doc devhelp
	dh_auto_build

override_dh_auto_clean:
	$(MAKE) -C doc clean
	rm -f ./doc/modules/images/*.png examples/resources/hello.bmp examples/resources/hello.png
	rm -rf build
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs doc/news.rst

=== debian/watch ===
version=3
opts=\
uversionmangle=s/_/./g,\
dversionmangle=s/\+dfsg\d+$//,\
repacksuffix=+dfsg1 \
https://github.com/marcusva/py-sdl2/tags .*/rel_(\d\S+)\.tar\.gz

## pysdl2 0.9.7+dfsg1

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,6 @@
 	$(top_srcdir)/doc/tutorial \
 	$(top_srcdir)/doc/modules \
 	$(top_srcdir)/examples
-
-INTERPRETERS = python2.7 python3.3 python3.4 python3.5 pypy
 
 all: clean build
 
@@ -59,28 +57,5 @@
 
 release: dist
 
-runtest:
-	@PYTHONPATH=$(PYTHONPATH) $(PYTHON) -B -m unittest discover sdl2.test -p *test.py -v
-
-testall:
-	@for interp in $(INTERPRETERS); do \
-		PYTHONPATH=$(PYTHONPATH) $$interp -B -m unittest discover sdl2.test -p *test.py -v || true; \
-	done
-
-# Do not run these in production environments! They are for testing
-# purposes only!
-
-buildall: clean
-	@for interp in $(INTERPRETERS); do \
-		$$interp setup.py build; \
-	done
-
-installall:
-	@for interp in $(INTERPRETERS); do \
-		$$interp setup.py install; \
-	done
-
-purge_installs:
-	@for interp in $(INTERPRETERS); do \
-		rm -rf /usr/local/lib/$$interp/site-packages/sdl2*; \
-	done
+test:
+	@$(PYTHON) -B -m pytest -vvl -rxXP

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	@rm -rf $(BUILDDIR)/*
	@rm -f modules/*~ tutorial/*~ *~

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PySDL2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PySDL2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyMule"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyMule"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pysdl2 (0.9.7+dfsg1-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Håvard Flaget Aasen ]
  * New upstream version 0.9.7+dfsg1
    New version supports libsdl2 2.0.10 Closes: #950040
  * d/patches: Rebase and drop patches included upstream
  * d/control:
    - Bump debhelper to 13
    - Add Rules-Requires-Root: no
    - Mark doc package Multi-Arch: foreign
    - Update suggested package to a python3 package.
  * d/watch: Bump version to 4
  * d/upstream/metadata: Remove depcrecated fields and update URL's
  * Documentation: Stop building devhelp, only build html. We also stopped
    using intersphinx, and removed 'todo' which generated a buildpath in the
    documentation.
  * d/copyright:
    - Update Source URL, now points to GitHub
    - Update Files-Excluded, remove folder no longer supplied upstream
    - Update copyright, update year, and remove some names.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 29 Jan 2021 03:33:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pysdl2
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Victor Fayvel <fayvel@web.de>
 Standards-Version: 3.9.6
 Homepage: https://github.com/marcusva/py-sdl2
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dia,
  dh-python,
  libgl1-mesa-dri,
@@ -23,8 +23,9 @@
  python3-numpy,
  python3-setuptools,
  librsvg2-bin,
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pysdl2
-Vcs-Git: https://salsa.debian.org/python-team/modules/pysdl2.git
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pysdl2
+Vcs-Git: https://salsa.debian.org/python-team/packages/pysdl2.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-sdl2
@@ -49,11 +50,12 @@
 
 Package: pysdl2-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},
- libjs-sphinxdoc,
-Suggests: python-wand
+ ${sphinxdoc:Depends},
+Suggests: python3-wand
 Description: Python bindings to the SDL2 C-library - documentation
  PySDL2 is a ctypes based wrapper around the Simple DirectMedia Layer 2 library
  to allow portable low level access to a video framebuffer, audio output, mouse

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=sdl2
export SDL_VIDEODRIVER=dummy
export SDL_AUDIODRIVER=dummy
export SDL_RENDER_DRIVER=software

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_build:
	mkdir -p ./doc/_static
	set -e; \
	for i in ./doc/modules/images/*.dia; do \
		dia "$${i}" --filter=png-libart --export="$$(echo $$i|sed 's/\.dia$$//').png"; \
	done
	rsvg-convert --format=png --background-color=white examples/resources/testimage.svg|convert png:- examples/resources/hello.bmp

execute_before_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html doc/ debian/pysdl2-doc/usr/share/doc/pysdl2-doc/html/

execute_before_dh_auto_clean:
	rm -f ./doc/modules/images/*.png examples/resources/hello.bmp examples/resources/hello.png
	rm -rf build

override_dh_installchangelogs:
	dh_installchangelogs doc/news.rst

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 uversionmangle=s/_/./g,\
 dversionmangle=s/\+dfsg\d+$//,\

## pysdl2 0.9.9+dfsg1

=== debian/changelog ===
pysdl2 (0.9.9+dfsg1-6) unstable; urgency=medium

  * Team upload
  * d/p/Fix-unit-tests-on-big-endian-systems.patch:
    Backport upstream changes to fix build-time test and autopkgtest
    failure on s390x (Closes: #1030676)
  * Standards-Version: 4.6.2 (no changes required)
  * d/control, d/copyright, etc.: Update upstream Github URL

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Feb 2023 09:57:43 +0000

pysdl2 (0.9.9+dfsg1-5) unstable; urgency=medium

  * Team upload
  * d/p/version_test-Don-t-assert-that-SDL_GetRevision-starts-wit.patch:
    Add patch to fix autopkgtest failure with SDL 2.24.2+dfsg-1 or 2.25.x
  * d/watch: Update
  * d/copyright: Replace CC0-1.0 full text with a reference to common-licenses
  * d/rules: Make surfacetest.lbm non-executable (thanks, Lintian)
  * Add some Lintian overrides
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Nov 2022 10:57:26 +0000

pysdl2 (0.9.9+dfsg1-4) unstable; urgency=medium

  * Team upload
  * d/p/surface_test-Don-t-overlap-pixel-rows.patch:
    Add patch to fix autopkgtest failure with SDL 2.23.x/2.24.0

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Aug 2022 11:26:27 +0100

pysdl2 (0.9.9+dfsg1-3) unstable; urgency=medium

  * Team upload
  * d/p/Clean-up-organization-of-dll.py.patch,
    d/p/Fix-unit-tests-version-parsing-for-latest-SDL2-229.patch,
    d/p/Handle-SDL-2.23-new-versioning-scheme-230.patch:
    Backport patches from upstream to fix compatibility with newer
    SDL, SDL_image, SDL_mixer and SDL_ttf (Closes: #1011117)
  * d/p/Fix-some-rwops-bugs.patch:
    Add patch from upstream to fix failure to load SVG files with newer
    SDL_image
  * d/p/sdlttf_test-Accept-width-and-height-within-a-range.patch:
    Mark patch as applied upstream
  * Reorder patch series to put upstreamable patches first

 -- Simon McVittie <smcv@debian.org>  Thu, 26 May 2022 11:08:53 +0100

pysdl2 (0.9.9+dfsg1-2) unstable; urgency=medium

  * Team upload
  * d/p/sdlttf_test-Accept-width-and-height-within-a-range.patch:
    Accept slightly different text rendering width with SDL_ttf 2.0.18
    (Closes: #1003592)

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Jan 2022 23:56:31 +0000

pysdl2 (0.9.9+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Rebase and drop patches included upstream.
  * Update URL's in d/copyright, d/watch and metadata file.
  * Enable upstream test suite as autopkgtest
  * Drop minimum version for python3-all
  * Install examples in *-doc package only
  * Add salsa CI
  * d/control:
    - Add fonts-tuffy as dependency for *-doc package
    - Update Standards-Version to 4.5.1

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 26 Sep 2021 07:53:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Victor Fayvel <fayvel@web.de>
-Standards-Version: 3.9.6
-Homepage: https://github.com/marcusva/py-sdl2
+Standards-Version: 4.6.2
+Homepage: https://github.com/py-sdl/py-sdl2
 Build-Depends:
  debhelper-compat (= 13),
  dia,
@@ -18,7 +18,7 @@
  libsdl2-ttf-2.0-0,
  imagemagick,
  python3-sphinx,
- python3-all (>= 3.2~),
+ python3-all,
  python3-pytest,
  python3-numpy,
  python3-setuptools,
@@ -55,10 +55,11 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+ fonts-tuffy,
 Suggests: python3-wand
 Description: Python bindings to the SDL2 C-library - documentation
  PySDL2 is a ctypes based wrapper around the Simple DirectMedia Layer 2 library
  to allow portable low level access to a video framebuffer, audio output, mouse
  and keyboard.
  .
- This package includes documentation for PySDL2.
+ This package includes documentation and examples for PySDL2.

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,13 @@
 	done
 	rsvg-convert --format=png --background-color=white examples/resources/testimage.svg|convert png:- examples/resources/hello.bmp
 
+execute_after_dh_install:
+	# Examples directory is being installad in both packages,
+	# we prefer to have it in the *-doc package.
+	rm -rf $(CURDIR)/debian/python3-sdl2/usr/lib/python3.*/dist-packages/sdl2/examples/
+	# Forwarded: https://github.com/py-sdl/py-sdl2/pull/245
+	chmod -v 0644 $(CURDIR)/debian/python3-sdl2/usr/lib/python3*/dist-packages/sdl2/test/resources/*.lbm
+
 execute_before_dh_sphinxdoc:
 	PYTHONPATH=. python3 -m sphinx -b html doc/ debian/pysdl2-doc/usr/share/doc/pysdl2-doc/html/

=== debian/watch ===
version=4
opts=\
uversionmangle=s/_/./g,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg \
https://github.com/py-sdl/py-sdl2/tags .*/(\d\S+)\.tar\.gz

## pysdl2 0.9.15+dfsg

=== debian/changelog ===
pysdl2 (0.9.15+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/p/tests-Don-t-assume-SDL_Init-will-leave-SDL_GetError-unset.patch:
    Add patch to use SDL's error indicator correctly, fixing test failures
  * d/p/tests-Skip-pixel-comparison-when-loading-XCF-files-on-big.patch:
    Add patch to skip a failing image-loading test on big-endian CPUs
  * Merge packaging updates from unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Feb 2023 14:30:35 +0000

pysdl2 (0.9.13+dfsg-1) experimental; urgency=medium

  * Team upload
  * Branch for experimental
  * New upstream release
  * d/copyright: Adjust Files-Excluded for new upstream release
  * d/watch: Update
  * Add Suggests on python3-pil
  * d/patches: Update patch series. Most of it was applied upstream.
  * d/copyright: Replace CC0-1.0 full text with a reference to common-licenses
  * d/copyright: Update
  * d/p/sdlmixer_test-Accept-a-lower-value-for-sample-MP3-duratio.patch:
    Add patch to resolve a test failure with Debian's SDL_mixer
  * Add build-dependency on python3-sphinx-rtd-theme
  * d/rules: Make surfacetest.lbm non-executable (thanks, Lintian)
  * Add some Lintian overrides
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Aug 2022 14:10:10 +0100

=== debian/control ===
--- 
+++ 
@@ -17,15 +17,17 @@
  libsdl2-mixer-2.0-0,
  libsdl2-ttf-2.0-0,
  imagemagick,
- python3-sphinx,
  python3-all,
  python3-pytest,
  python3-numpy,
+ python3-pil,
  python3-setuptools,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
  librsvg2-bin,
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pysdl2
-Vcs-Git: https://salsa.debian.org/python-team/packages/pysdl2.git
+Vcs-Git: https://salsa.debian.org/python-team/packages/pysdl2.git -b debian/experimental
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-sdl2
@@ -40,7 +42,9 @@
  libsdl2-ttf-2.0-0,
 Recommends:
  python3-numpy,
-Suggests: pysdl2-doc
+Suggests:
+ pysdl2-doc,
+ python3-pil,
 Description: Python bindings to the SDL2 C-library (Python 3 build)
  PySDL2 is a ctypes based wrapper around the Simple DirectMedia Layer 2 library
  to allow portable low level access to a video framebuffer, audio output, mouse

## pysdl2 0.9.16+dfsg

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PySDL2
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile view

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# View the built documentation
view:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/_build/html/index.html')"

=== debian/changelog ===
pysdl2 (0.9.16+dfsg-2) unstable; urgency=medium

  * Team upload
  * Drop build-dependency on transitional libgl1-mesa-glx
    (Closes: #1072467)

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Jul 2024 17:23:46 +0100

pysdl2 (0.9.16+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/patches: Drop patches that were applied upstream
  * Add patch from upstream to fix autopkgtest failure with SDL 2.28.2.
    Thanks to Robie Basak (LP: #2030964)
  * d/p/test-Don-t-assert-that-SDL_hid_enumerate-doesn-t-set-erro.patch:
    Add another patch to fix test failures with current SDL
  * d/rules: Make failing tests more verbose

 -- Simon McVittie <smcv@debian.org>  Sat, 19 Aug 2023 11:58:33 +0100

pysdl2 (0.9.15+dfsg-2) unstable; urgency=medium

  * Team upload
  * d/p/tests-Don-t-try-to-create-more-than-one-Renderer-for-the-.patch:
    Add patch fixing test failure with SDL 2.28 (Closes: #1038823)
  * d/p/Make-the-build-reproducible.patch:
    Add patch from Chris Lamb to make the documentation reproducible
    (Closes: #1031412)
  * Add Lintian override to ignore a use of distutils in upstream CI scripts.
    We don't use these in Debian, so they aren't relevant for reducing our
    dependence on distutils.
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Jun 2023 21:29:18 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dia,
  dh-python,
  libgl1-mesa-dri,
- libgl1-mesa-glx | libgl1,
+ libgl1,
  libsdl2-2.0-0,
  libsdl2-gfx-1.0-0,
  libsdl2-image-2.0-0,
@@ -27,7 +27,7 @@
  librsvg2-bin,
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pysdl2
-Vcs-Git: https://salsa.debian.org/python-team/packages/pysdl2.git -b debian/experimental
+Vcs-Git: https://salsa.debian.org/python-team/packages/pysdl2.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-sdl2

## pysdl2 0.9.17+dfsg

=== doc/requirements.txt ===
pysdl2-dll
numpy
pillow

=== debian/changelog ===
pysdl2 (0.9.17+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/patches: Drop patches that were applied upstream
  * d/salsa-ci.yml: Use recommended recipe
  * Update Lintian overrides
  * Standards-Version: 4.7.0 (no changes required)
  * Move most Build-Depends to B-D-I

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Jan 2025 16:12:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Victor Fayvel <fayvel@web.de>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/py-sdl/py-sdl2
 Build-Depends:
  debhelper-compat (= 13),
+ dh-python,
+ python3-sphinx,
+Build-Depends-Indep:
  dia,
- dh-python,
  libgl1-mesa-dri,
  libgl1,
  libsdl2-2.0-0,
@@ -22,7 +24,6 @@
  python3-numpy,
  python3-pil,
  python3-setuptools,
- python3-sphinx,
  python3-sphinx-rtd-theme,
  librsvg2-bin,
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export PYBUILD_NAME=sdl2
+export PYTEST_ADDOPTS=-v
 export SDL_VIDEODRIVER=dummy
 export SDL_AUDIODRIVER=dummy
 export SDL_RENDER_DRIVER=software
